> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Find contacts by phone numbers

> Searches for existing contacts by a list of phone numbers. Useful for reconciliation during CSV import.



## OpenAPI

````yaml /en/openapi.json post /v1/contacts/find-by-phones
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
paths:
  /v1/contacts/find-by-phones:
    post:
      tags:
        - contacts
      summary: Find contacts by phone numbers
      description: >-
        Searches for existing contacts by a list of phone numbers. Useful for
        reconciliation during CSV import.
      operationId: ContactController_findContactsByPhones
      parameters:
        - name: x-company-id
          in: header
          description: >-
            Target company identifier. Required only for global API keys
            (type=global). Ignored for company API keys and human users.
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FindContactsByPhonesDto'
      responses:
        '200':
          description: ''
        '201':
          description: Contacts found successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactsListResponseDto'
        '400':
          description: Invalid data
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    FindContactsByPhonesDto:
      type: object
      properties:
        phones:
          type: array
          minItems: 1
          maxItems: 1000
          items:
            type: string
          description: List of phone numbers to search for
      required:
        - phones
    ContactsListResponseDto:
      type: object
      properties:
        result:
          type: array
          items: {}
          description: List of contacts
        meta:
          description: Pagination metadata
      required:
        - result
        - meta
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Token JWT de autenticação

````